INTERFACE
SUBROUTINE PREGRBENC(KGRIBCD,KLEV,CDREPR,CDLTYPE,&
 & KSEC0,KSEC1,KSEC2,KSEC3,KSEC4,&
 & PDATA,LDFPOSRES,KSMAX,KPTS,KDGLG,KLOENG,PFIRSTLAT,PLASTLAT,&
 & LDGEOPRESET) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KGRIBCD
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
CHARACTER ,INTENT(IN) :: CDREPR*(*)
CHARACTER ,INTENT(IN) :: CDLTYPE*(*)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KSEC0(:)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KSEC1(:)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KSEC2(:)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KSEC3(:)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KSEC4(:)
REAL(KIND=JPRB) ,OPTIONAL,INTENT(IN) :: PDATA(:), PFIRSTLAT, PLASTLAT
LOGICAL ,OPTIONAL,INTENT(IN) :: LDFPOSRES
INTEGER(KIND=JPIM),OPTIONAL,INTENT(IN) :: KSMAX
INTEGER(KIND=JPIM),OPTIONAL,INTENT(IN) :: KPTS
INTEGER(KIND=JPIM),OPTIONAL,INTENT(IN) :: KDGLG
INTEGER(KIND=JPIM),OPTIONAL,INTENT(IN),TARGET :: KLOENG(:)
LOGICAL , OPTIONAL, INTENT(IN) :: LDGEOPRESET
END SUBROUTINE PREGRBENC
END INTERFACE
